SSH

Supported Operating Systems

Tectia Client/Server solution products can be installed on Linux, Unix, and Windows platforms and they can run on any standard hardware capable of running the supported operating systems. A separate Tectia Server for IBM z/OS is available for mainframes; for its description, refer to Tectia Server for IBM z/OS Product Description.

On Linux, Unix, and IBM System z platforms, Tectia Server includes also the client-side tools.

[Note]Note

Keep the operating system always fully patched, according to recommendations by the operating system vendor. The minimum patch levels required by Tectia products are mentioned in the Tectia product-specific installation instructions in the User Manuals and Administrator Manuals.

Table 6.1. Supported operating systems per Tectia product

Operating SystemClientConnectSecureServerServer for Linux z1Server for z/OS1
HP-UX (PA-RISC) 11i v1, 11i v2, 11i v3 11i v1, 11i v2, 11i v3 11i v1, 11i v2, 11i v3
HP-UX (IA-64) 11i v2, 11i v3 11i v2, 11i v3 11i v2, 11i v3
IBM AIX (POWER) 5.3, 6.1, 7.1 5.3, 6.12, 7.1 5.3, 6.1, 7.1
Oracle Solaris (SPARC) 9, 10, 11 9, 10, 11 9, 10, 11
Oracle Solaris (x86-64) 10, 11 10, 11 10, 11
Oracle Linux (x86-64)3 5, 6 5, 6 5, 6
Red Hat Enterprise Linux (x86 and x86-64) 4, 5, 6, 7 4, 5, 6, 7 4, 5, 6, 7
SUSE LINUX Enterprise Desktop (x86 and x86-64) 10, 11 10, 11 10, 11
SUSE LINUX Enterprise Server (x86) 9, 10, 11 9, 10, 11 9, 10, 11
SUSE LINUX Enterprise Server (x86-64) 10, 11 10, 11 10, 11
Microsoft Windows (x86) Vista, Server 2008, 7, 8, 8.1, 10 Vista, Server 2008, 7 Server 2008, 7, 8, 8.1, 10
Microsoft Windows (x64) Vista, Server 2008, 7, Server 2008 R2, Server 2012, 8, 8.1, Server 2012 R2, 10 Vista, Server 2008, 7, Server 2008 R2 Server 2008, 7, Server 2008 R2, Server 2012, 8, 8.1, Server 2012 R2, 10
VMware ESX Server4 3.5 3.5
Red Hat Enterprise Linux for IBM System z (64-bit) 5 5.1, 6
SUSE LINUX Enterprise Server for IBM System z (64-bit) 5 9, 10
SUSE LINUX Enterprise Server for IBM System z (31-bit) 9
IBM z/OS (zSeries) 1.11, 1.12, 1.13, 2.1

1 Including the client components.

2 Tectia ConnectSecure requires reconfiguring the RBAC mode on AIX 6.1 and later.

3 Oracle Linux with Unbreakable Enterprise Kernel is also supported.

4 Tectia products can be installed directly on the server virtualization layer.

5 Requires the 31-bit compatibility library libc.so.6.